- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.enrichmentControls/disable#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.enrichmentControls/disable#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.enrichmentControls/disable#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.enrichmentControls/disable#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.enrichmentControls/disable#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.enrichmentControls/disable#body.aspect_1)

**Full name**: projects.locations.instances.enrichmentControls.disable

Disable an EnrichmentControl. Disabling an enrichment control involves updating the end time of the most recent record associated with that EnrichmentControl resource to the disabling time and return the updated EnrichmentControl resource.

### HTTP request

`POST https://{endpoint}/v1beta/{name}:disable`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the enrichment control to disable. Format: projects/{project}/locations/{location}/instances/{instance}/enrichmentControls/{enrichmentControl} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.enrichmentControls#EnrichmentControl`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.enrichmentControls.disable`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).